directories
  '*.dmf' = 'C:\Program Files\Control Web 2000\Dmf';
  '*.par' = 'C:\Program Files\Control Web 2000\Par';
  '*.ico' = 'C:\PROGRAM FILES\CONTROL WEB 2000\ico';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 3;
  output_timeout = 3;
  time_error_limit = 3;
  paint_time_limit = 2;
  show_timing_info = true;
  skip_init_procedures = true;
end_settings;

const
end_const;

var
end_var;

driver
  pcd = 'pcd4848.dll', 'PCD4848.DMF', 'PCD4848.PAR';
end_driver;

channel
  k1 = boolean, 1, pcd, input;
  k10 = boolean, 10, pcd, input;
  k100 = real, 100, pcd, output, 0;
  k101 = real, 101, pcd, output, 0;
  k102 = real, 102, pcd, input;
  k105 = real, 105, pcd, output, 0;
  k106 = real, 106, pcd, output, 0;
  k107 = real, 107, pcd, input;
  k11 = boolean, 11, pcd, input;
  k110 = real, 110, pcd, output, 0;
  k111 = real, 111, pcd, output, 0;
  k112 = real, 112, pcd, input;
  k12 = boolean, 12, pcd, input;
  k13 = boolean, 13, pcd, input;
  k14 = boolean, 14, pcd, input;
  k15 = boolean, 15, pcd, input;
  k16 = boolean, 16, pcd, input;
  k17 = boolean, 17, pcd, input;
  k18 = boolean, 18, pcd, input;
  k19 = boolean, 19, pcd, input;
  k2 = boolean, 2, pcd, input;
  k20 = boolean, 20, pcd, input;
  k21 = boolean, 21, pcd, input;
  k22 = boolean, 22, pcd, input;
  k23 = boolean, 23, pcd, input;
  k24 = boolean, 24, pcd, input;
  k25 = boolean, 25, pcd, input;
  k26 = boolean, 26, pcd, input;
  k27 = boolean, 27, pcd, input;
  k28 = boolean, 28, pcd, input;
  k29 = boolean, 29, pcd, input;
  k3 = boolean, 3, pcd, input;
  k30 = boolean, 30, pcd, input;
  k31 = boolean, 31, pcd, input;
  k32 = boolean, 32, pcd, input;
  k33 = boolean, 33, pcd, input;
  k34 = boolean, 34, pcd, input;
  k35 = boolean, 35, pcd, input;
  k36 = boolean, 36, pcd, input;
  k37 = boolean, 37, pcd, input;
  k38 = boolean, 38, pcd, input;
  k39 = boolean, 39, pcd, input;
  k4 = boolean, 4, pcd, input;
  k40 = boolean, 40, pcd, input;
  k41 = boolean, 41, pcd, input;
  k42 = boolean, 42, pcd, input;
  k43 = boolean, 43, pcd, input;
  k44 = boolean, 44, pcd, input;
  k45 = boolean, 45, pcd, input;
  k46 = boolean, 46, pcd, input;
  k47 = boolean, 47, pcd, input;
  k48 = boolean, 48, pcd, input;
  k5 = boolean, 5, pcd, input;
  k51 = boolean, 51, pcd, output, false;
  k52 = boolean, 52, pcd, output, false;
  k53 = boolean, 53, pcd, output, false;
  k54 = boolean, 54, pcd, output, false;
  k55 = boolean, 55, pcd, output, false;
  k56 = boolean, 56, pcd, output, false;
  k57 = boolean, 57, pcd, output, false;
  k58 = boolean, 58, pcd, output, false;
  k59 = boolean, 59, pcd, output, false;
  k6 = boolean, 6, pcd, input;
  k60 = boolean, 60, pcd, output, false;
  k61 = boolean, 61, pcd, output, false;
  k62 = boolean, 62, pcd, output, false;
  k63 = boolean, 63, pcd, output, false;
  k64 = boolean, 64, pcd, output, false;
  k65 = boolean, 65, pcd, output, false;
  k66 = boolean, 66, pcd, output, false;
  k67 = boolean, 67, pcd, output, false;
  k68 = boolean, 68, pcd, output, false;
  k69 = boolean, 69, pcd, output, false;
  k7 = boolean, 7, pcd, input;
  k70 = boolean, 70, pcd, output, false;
  k71 = boolean, 71, pcd, output, false;
  k72 = boolean, 72, pcd, output, false;
  k73 = boolean, 73, pcd, output, false;
  k74 = boolean, 74, pcd, output, false;
  k75 = boolean, 75, pcd, output, false;
  k76 = boolean, 76, pcd, output, false;
  k77 = boolean, 77, pcd, output, false;
  k78 = boolean, 78, pcd, output, false;
  k79 = boolean, 79, pcd, output, false;
  k8 = boolean, 8, pcd, input;
  k80 = boolean, 80, pcd, output, false;
  k81 = boolean, 81, pcd, output, false;
  k82 = boolean, 82, pcd, output, false;
  k83 = boolean, 83, pcd, output, false;
  k84 = boolean, 84, pcd, output, false;
  k85 = boolean, 85, pcd, output, false;
  k86 = boolean, 86, pcd, output, false;
  k87 = boolean, 87, pcd, output, false;
  k88 = boolean, 88, pcd, output, false;
  k89 = boolean, 89, pcd, output, false;
  k9 = boolean, 9, pcd, input;
  k90 = boolean, 90, pcd, output, false;
  k91 = boolean, 91, pcd, output, false;
  k92 = boolean, 92, pcd, output, false;
  k93 = boolean, 93, pcd, output, false;
  k94 = boolean, 94, pcd, output, false;
  k95 = boolean, 95, pcd, output, false;
  k96 = boolean, 96, pcd, output, false;
  k97 = boolean, 97, pcd, output, false;
  k98 = boolean, 98, pcd, output, false;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 794, 548;
    win_disable = zoom;
    win_title = 'pcd4848a';
    visibility = false;
  end_panel;

  control control_2;
    owner = backpane;
    position = 472, 464, 80, 22;
    send_same_data;
    output = k111;
    mode = count_box;
    range_to = 65535;
    dec_places = 0;
  end_control;

  control control_2;
    owner = backpane;
    position = 472, 424, 80, 22;
    send_same_data;
    output = k106;
    mode = count_box;
    range_to = 65535;
    dec_places = 0;
  end_control;

  control control_2;
    owner = backpane;
    position = 357, 464, 80, 22;
    send_same_data;
    output = k110;
    mode = count_box;
    range_to = 5;
    dec_places = 0;
  end_control;

  control control_2;
    owner = backpane;
    position = 357, 424, 80, 22;
    send_same_data;
    output = k105;
    mode = count_box;
    range_to = 5;
    dec_places = 0;
  end_control;

  control control_2;
    owner = backpane;
    position = 472, 384, 80, 22;
    send_same_data;
    output = k101;
    mode = count_box;
    range_to = 65535;
    dec_places = 0;
  end_control;

  control control_2;
    owner = backpane;
    position = 357, 384, 80, 22;
    send_same_data;
    output = k100;
    mode = count_box;
    range_to = 5;
    dec_places = 0;
  end_control;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 187, 464, 80, 25;
    expression = k112;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 42, 474;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'CNT2';
  end_label;

  label label_2;
    owner = backpane;
    position = 467, 364;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'Pednastaven';
  end_label;

  label label_2;
    owner = backpane;
    position = 357, 364;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'Md';
  end_label;

  label label_2;
    owner = backpane;
    position = 187, 364;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'Hodnota ';
  end_label;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 187, 424, 80, 25;
    expression = k107;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.1;
    owner = backpane;
    position = 187, 384, 80, 25;
    expression = k102;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'Arial (Central European)', 14, normal;
    colors
      ink = lgreen;
      value = dgray;
      low_limit = dgray;
      high_limit = dgray;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 42, 434;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'CNT1';
  end_label;

  label label_2;
    owner = backpane;
    position = 42, 394;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'CNT0';
  end_label;

  label label_2;
    owner = backpane;
    position = 187, 254;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '24';
  end_label;

  label label_2;
    owner = backpane;
    position = 42, 174;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DIN24-47';
  end_label;

  label label_2;
    owner = backpane;
    position = 42, 274;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DOUT24-47';
  end_label;

  label label_2;
    owner = backpane;
    position = 332, 254;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '31';
  end_label;

  label label_2;
    owner = backpane;
    position = 332, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '7';
  end_label;

  label label_2;
    owner = backpane;
    position = 332, 159;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '31';
  end_label;

  label label_2;
    owner = backpane;
    position = 187, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '0';
  end_label;

  label label_2;
    owner = backpane;
    position = 187, 159;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '24';
  end_label;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 187, 174;
    expression = k25;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 207, 174;
    expression = k26;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 227, 174;
    expression = k27;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 174;
    expression = k28;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 272, 174;
    expression = k29;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 292, 174;
    expression = k30;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 312, 174;
    expression = k31;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 332, 174;
    expression = k32;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 382, 254;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '32';
  end_label;

  label label_2;
    owner = backpane;
    position = 382, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '8';
  end_label;

  label label_2;
    owner = backpane;
    position = 382, 159;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '32';
  end_label;

  switch switch_3;
    owner = backpane;
    position = 187, 269, 21, 21;
    output = k75;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 207, 269, 21, 21;
    output = k76;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 227, 269, 21, 21;
    output = k77;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 247, 269, 21, 21;
    output = k78;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 272, 269, 21, 21;
    output = k79;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 292, 269, 21, 21;
    output = k80;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 312, 269, 21, 21;
    output = k81;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 332, 269, 21, 21;
    output = k82;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 382, 269, 21, 21;
    output = k83;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 402, 269, 21, 21;
    output = k84;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 422, 269, 21, 21;
    output = k85;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 442, 269, 21, 21;
    output = k86;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 467, 269, 21, 21;
    output = k87;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 487, 269, 21, 21;
    output = k88;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 507, 269, 21, 21;
    output = k89;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 527, 269, 21, 21;
    output = k90;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  label label_2;
    owner = backpane;
    position = 527, 254;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '39';
  end_label;

  label label_2;
    owner = backpane;
    position = 527, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '15';
  end_label;

  label label_2;
    owner = backpane;
    position = 527, 159;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '39';
  end_label;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 382, 174;
    expression = k33;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 402, 174;
    expression = k34;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 422, 174;
    expression = k35;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 442, 174;
    expression = k36;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 467, 174;
    expression = k37;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 487, 174;
    expression = k38;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 507, 174;
    expression = k39;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 527, 174;
    expression = k40;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 722, 254;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '47';
  end_label;

  label label_2;
    owner = backpane;
    position = 722, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '23';
  end_label;

  label label_2;
    owner = backpane;
    position = 577, 254;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '40';
  end_label;

  label label_2;
    owner = backpane;
    position = 577, 159;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '40';
  end_label;

  label label_2;
    owner = backpane;
    position = 577, 204;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '16';
  end_label;

  label label_2;
    owner = backpane;
    position = 722, 159;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '47';
  end_label;

  switch switch_3;
    owner = backpane;
    position = 577, 269, 21, 21;
    output = k91;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 597, 269, 21, 21;
    output = k92;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 617, 269, 21, 21;
    output = k93;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 637, 269, 21, 21;
    output = k94;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 662, 269, 21, 21;
    output = k95;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 682, 269, 21, 21;
    output = k96;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 577, 174;
    expression = k41;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 597, 174;
    expression = k42;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 617, 174;
    expression = k43;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 637, 174;
    expression = k44;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 662, 174;
    expression = k45;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 682, 174;
    expression = k46;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 42, 224;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DOUT0-23';
  end_label;

  switch switch_3;
    owner = backpane;
    position = 187, 219, 21, 21;
    output = k51;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 207, 219, 21, 21;
    output = k52;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 227, 219, 21, 21;
    output = k53;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 247, 219, 21, 21;
    output = k54;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 272, 219, 21, 21;
    output = k55;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 292, 219, 21, 21;
    output = k56;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 312, 219, 21, 21;
    output = k57;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 332, 219, 21, 21;
    output = k58;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 382, 219, 21, 21;
    output = k59;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 402, 219, 21, 21;
    output = k60;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 422, 219, 21, 21;
    output = k61;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 442, 219, 21, 21;
    output = k62;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 467, 219, 21, 21;
    output = k63;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 487, 219, 21, 21;
    output = k64;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 507, 219, 21, 21;
    output = k65;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 527, 219, 21, 21;
    output = k66;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 577, 219, 21, 21;
    output = k67;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 597, 219, 21, 21;
    output = k68;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 617, 219, 21, 21;
    output = k69;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 637, 219, 21, 21;
    output = k70;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 662, 219, 21, 21;
    output = k71;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 682, 219, 21, 21;
    output = k72;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 702, 174;
    expression = k47;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 722, 174;
    expression = k48;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 222, 49;
    font = 'MS Sans Serif (Central European)', 12, bold;
    text = 'Karta digitlnch port 48 DIN a 48 DOUT';
    colors
      ink = lblue;
    end_colors;
  end_label;

  label label_2;
    owner = backpane;
    position = 317, 14;
    font = 'MS Sans Serif (Central European)', 17, bold;
    text = 'PCD-4848A';
    colors
      ink = lred;
    end_colors;
  end_label;

  switch switch_3;
    owner = backpane;
    position = 722, 219, 21, 21;
    output = k74;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 702, 219, 21, 21;
    output = k73;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 702, 269, 21, 21;
    output = k97;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 722, 269, 21, 21;
    output = k98;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_switch;

  label label_2;
    owner = backpane;
    position = 722, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '23';
  end_label;

  label label_2;
    owner = backpane;
    position = 577, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '16';
  end_label;

  label label_2;
    owner = backpane;
    position = 527, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '15';
  end_label;

  label label_2;
    owner = backpane;
    position = 382, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '8';
  end_label;

  label label_2;
    owner = backpane;
    position = 332, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '7';
  end_label;

  label label_2;
    owner = backpane;
    position = 187, 119;
    font = 'MS Sans Serif (Central European)', 8, bold;
    text = '0';
  end_label;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 722, 134;
    expression = k24;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 702, 134;
    expression = k23;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 682, 134;
    expression = k22;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 662, 134;
    expression = k21;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 637, 134;
    expression = k20;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 617, 134;
    expression = k19;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 597, 134;
    expression = k18;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 577, 134;
    expression = k17;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 527, 134;
    expression = k16;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 507, 134;
    expression = k15;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 487, 134;
    expression = k14;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 467, 134;
    expression = k13;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 442, 134;
    expression = k12;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 422, 134;
    expression = k11;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 402, 134;
    expression = k10;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 382, 134;
    expression = k9;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 332, 134;
    expression = k8;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 312, 134;
    expression = k7;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 292, 134;
    expression = k6;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 272, 134;
    expression = k5;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 247, 134;
    expression = k4;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 227, 134;
    expression = k3;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 207, 134;
    expression = k2;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 42, 134;
    font = 'MS Sans Serif (Central European)', 10, bold;
    text = 'DIN0-23';
  end_label;

  indicator indicator_1;
    timer = 0.1;
    owner = backpane;
    position = 187, 134;
    expression = k1;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_indicator;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

